Pular para o conteúdo
Esc
↑↓navegar↵abrir⌘Jpré-visualizar

List inboxes

The team’s inboxes, newest first (after pages toward older ones). An inbox-scoped key lists only its inbox.

GET/inboxes
Autorização
AuthorizationToken Bearer · headerobrigatório

A BillionSend API key (bs_…).

Parâmetros de consulta
limitinteger

Page size, 1-100 (default 20)

mín. 1 · máx. 100
afterstring<uuid>

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

beforestring<uuid>

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

kindstring

BillionSend extension: agent or human inboxes only

Valores permitidos:agenthuman
Respostas
200

Inboxes

objectstringobrigatório
Valores permitidos:list
has_morebooleanobrigatório
dataobject[]obrigatório
Mostrar propriedades
Array de object
idstring<uuid>obrigatório
namestring | nullobrigatório
email_addressstringobrigatório
from_namestring | nullobrigatório
unreadintegerobrigatório
last_receivedstring | nullobrigatório
created_atstringobrigatório
updated_atstringobrigatório
kindstringobrigatório
Valores permitidos:agenthuman
sharedbooleanobrigatório
expires_atstring | nullobrigatório
401

Missing, malformed, unknown or revoked API key

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
404

Pagination cursor not found

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
422

Validation error

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberobrigatório
namestringobrigatório
messagestringobrigatório
Experimentar
Servidor
Autorização
Parâmetros
Requisição
curl -X GET 'https://api.billionsend.com/inboxes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Resposta
{
  "object": "list",
  "has_more": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email_address": "string",
      "from_name": "string",
      "unread": 0,
      "last_received": "string",
      "created_at": "string",
      "updated_at": "string",
      "kind": "agent",
      "shared": true,
      "expires_at": "string"
    }
  ]
}

Esta página foi útil?